SUPPORTED MOBILE DEVICES!

Safety 1st Baby Monitor is currently supported only for the iOS and Android mobile operating systems. Below you can find the list of mobile devices and operating systems that can run the Baby Monitor app.

iOS

iOS devices must be running on iOS 10.0 or later. This includes the following devices.

iPhone (5s or later)
iPad (4th generation or later)
iPad mini (2 or later)
iPad Pro
iPad Touch (6th generation or later)

ANDROID

Android devices must be running Android 4.4 or later. Amazon Fire OS devices are not supported.